# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
BASH = @BASH@
CAT = @CAT@
CC = @CC@
DPKG = @DPKG@
GREP = @GREP@
LN_S = @LN_S@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PATCHFOR_DEBIAN = @PATCHFOR_DEBIAN@
PATCHFOR_REDHAT = @PATCHFOR_REDHAT@
RM = @RM@
RPM = @RPM@
SH = @SH@
TAR = @TAR@
TARGET_RDF2DOT = @TARGET_RDF2DOT@
VERSION = @VERSION@
glib_INCLUDES = @glib_INCLUDES@
rdf_LIBS = @rdf_LIBS@

rdf2dot = 

sbin_PROGRAMS = sereld serelc serelhistory lsb2rdf $(rdf2dot)

MAINTAINERCLEANFILES = Makefile.in

rdf_files = parselsb2rdf.h parselsb2rdf.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h rdfserver.c rdfserver.h rdfservercallbacks.c rdfservercallbacks.h traverse.c traverse.h

serelc_SOURCES = client.c clienthandle.c command.c common.c log.c clienthandle.h command.h common.h log.h

serelhistory_SOURCES = serelhistory.c clienthandle.c command.c common.c log.c clienthandle.h command.h common.h log.h

sereld_SOURCES = command.c command.h common.c common.h edge.c edge.h fsm.c fsm.h log.c log.h msgqueue.c msgqueue.h node.c node.h persist.c persist.h pidmap.c pidmap.h server.c servercallbacks.c servercallbacks.h servercommon.c servercommon.h serverconfig.c serverconfig.h serverhandle.c serverhandle.h serviceid.c serviceid.h $(rdf_files)

lsb2rdf_SOURCES = lsb2rdf.c common.h common.c  parselsb2rdf.h parselsb2rdf.c log.h log.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h servercommon.c servercommon.h serverconfig.h serverconfig.c

INCLUDES = $(glib_INCLUDES)
sereld_LDADD = $(rdf_LIBS)
lsb2rdf_LDADD = $(rdf_LIBS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(sbin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
sereld_OBJECTS =  command.o common.o edge.o fsm.o log.o msgqueue.o \
node.o persist.o pidmap.o server.o servercallbacks.o servercommon.o \
serverconfig.o serverhandle.o serviceid.o parselsb2rdf.o rdfconsturi.o \
rdfcommon.o rdfserver.o rdfservercallbacks.o traverse.o
sereld_DEPENDENCIES = 
sereld_LDFLAGS = 
serelc_OBJECTS =  client.o clienthandle.o command.o common.o log.o
serelc_LDADD = $(LDADD)
serelc_DEPENDENCIES = 
serelc_LDFLAGS = 
serelhistory_OBJECTS =  serelhistory.o clienthandle.o command.o common.o \
log.o
serelhistory_LDADD = $(LDADD)
serelhistory_DEPENDENCIES = 
serelhistory_LDFLAGS = 
lsb2rdf_OBJECTS =  lsb2rdf.o common.o parselsb2rdf.o log.o rdfconsturi.o \
rdfcommon.o servercommon.o serverconfig.o
lsb2rdf_DEPENDENCIES = 
lsb2rdf_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
SOURCES = $(sereld_SOURCES) $(serelc_SOURCES) $(serelhistory_SOURCES) $(lsb2rdf_SOURCES)
OBJECTS = $(sereld_OBJECTS) $(serelc_OBJECTS) $(serelhistory_OBJECTS) $(lsb2rdf_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-sbinPROGRAMS:

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)

distclean-sbinPROGRAMS:

maintainer-clean-sbinPROGRAMS:

install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

sereld: $(sereld_OBJECTS) $(sereld_DEPENDENCIES)
	@rm -f sereld
	$(LINK) $(sereld_LDFLAGS) $(sereld_OBJECTS) $(sereld_LDADD) $(LIBS)

serelc: $(serelc_OBJECTS) $(serelc_DEPENDENCIES)
	@rm -f serelc
	$(LINK) $(serelc_LDFLAGS) $(serelc_OBJECTS) $(serelc_LDADD) $(LIBS)

serelhistory: $(serelhistory_OBJECTS) $(serelhistory_DEPENDENCIES)
	@rm -f serelhistory
	$(LINK) $(serelhistory_LDFLAGS) $(serelhistory_OBJECTS) $(serelhistory_LDADD) $(LIBS)

lsb2rdf: $(lsb2rdf_OBJECTS) $(lsb2rdf_DEPENDENCIES)
	@rm -f lsb2rdf
	$(LINK) $(lsb2rdf_LDFLAGS) $(lsb2rdf_OBJECTS) $(lsb2rdf_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-sbinPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-sbinPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(sbindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-sbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-sbinPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-sbinPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-sbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
install-sbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

@TARGET_RDF2DOT@ rdf2dot=rdf2dot

@TARGET_RDF2DOT@ rdf2dot_SOURCES = rdf2dot.c common.h common.c rdfconsturi.h rdfconsturi.c rdfcommon.c rdfcommon.h servercommon.h servercommon.c traverse.c traverse.h
@TARGET_RDF2DOT@ rdf2dot_LDADD = $(rdf_LIBS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
